package org.jeecg.modules.system.service;


import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.system.entity.SysUser;
import org.jeecg.modules.system.entity.SysUserDepart;
import org.jeecg.modules.system.model.DepartIdModel;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * SysUserDpeart用户组织机构service
 * </p>
 * @Author ZhiLin
 *
 */
public interface ISysUserDepartService extends IService<SysUserDepart> {
	

	/**
	 * 根据指定用户id查询部门信息
	 * @param userId
	 * @return
	 */
	List<DepartIdModel> queryDepartIdsOfUser(String userId);
	

	/**
	 * 根据部门id查询用户信息
	 * @param depId
	 * @return
	 */
	List<SysUser> queryUserByDepId(String depId);
  	/**
	 * 根据部门code，查询当前部门和下级部门的用户信息
     * @return
     */
	 Page<SysUser> queryUserByDepCode(String depCode,String realname,String username,String phone,String idCard, Integer pageNo, Integer pageSize);
	 Page<SysUser> queryUserByDepCode1(String depCode,String realname,Integer pageNo, Integer pageSize);
	SysUserDepart getbyUserId(String id);

	List<SysUser> getbyDeptId(String id);

    String getByUserName(String username);
}
